# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "peace_item_spec_sh_sync_cmd"
version = "0.0.7"
authors = ["Azriel Hoh <azriel91@gmail.com>"]
description = "Manages a synchronization shell command for the peace framework"
documentation = "https://docs.rs/peace_item_spec_sh_sync_cmd/"
readme = "README.md"
keywords = ["automation"]
categories = [
    "asynchronous",
    "config",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/azriel91/peace"

[lib]
test = false
doctest = true

[dependencies.chrono]
version = "0.4.23"
features = [
    "clock",
    "serde",
]
default-features = false

[dependencies.miette]
version = "5.5.0"
optional = true

[dependencies.peace]
version = "0.0.7"
default-features = false

[dependencies.serde]
version = "1.0.152"
features = ["derive"]

[dependencies.thiserror]
version = "1.0.38"

[features]
default = []
error_reporting = ["peace/error_reporting"]
output_progress = ["peace/output_progress"]

[target."cfg(not(target_arch = \"wasm32\"))".dependencies.tokio]
version = "1.25.0"
features = [
    "net",
    "time",
    "rt",
]

[target."cfg(target_arch = \"wasm32\")".dependencies.tokio]
version = "1.25.0"
